com.independentsoft.exchange

## Class MonthlyRegeneratingPattern

- java.lang.Object
- - com.independentsoft.exchange.MonthlyRegeneratingPattern

- All Implemented Interfaces:
    TaskRecurrencePattern

      public class MonthlyRegeneratingPattern
      extends java.lang.Object
      implements TaskRecurrencePattern

  Describes the frequency, in months, of which task is regenerated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonthlyRegeneratingPattern()` Initializes a new instance of the MonthlyRegeneratingPattern class.
    `MonthlyRegeneratingPattern(int interval)` Initializes a new instance of the MonthlyRegeneratingPattern class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInterval()` Gets the interval, in months, between two consecutive recurring items.
    `void` | `setInterval(int interval)` Sets the interval, in months, between two consecutive recurring items.
    `java.lang.String` | `toString()` Converts the value of the current MonthlyRegeneratingPattern object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MonthlyRegeneratingPattern

          public MonthlyRegeneratingPattern()

      Initializes a new instance of the MonthlyRegeneratingPattern class.

    - #### MonthlyRegeneratingPattern

          public MonthlyRegeneratingPattern(int interval)

      Initializes a new instance of the MonthlyRegeneratingPattern class.
      Parameters:
        `interval` - the interval

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current MonthlyRegeneratingPattern object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getInterval

          public int getInterval()

      Gets the interval, in months, between two consecutive recurring items.
      Returns:
        the interval

    - #### setInterval

          public void setInterval(int interval)

      Sets the interval, in months, between two consecutive recurring items.
      Parameters:
        `interval` - the new interval